<template>
  <div>
    <v-card class="mt-3">
      <v-card-title class="lime accent-1">
        Carrito
      </v-card-title>
      <v-card-subtitle class="lime accent-1">Lista de libros</v-card-subtitle>
      <v-divider></v-divider>
      <!-- mensaje de carrito vacio -->
      <div
        v-if="!carrito.length > 0"
        class="blue-grey--text lighten-5 text-center mt-2 text-s"
      >
        Carrito vacio...
      </div>
      <!-- Lista de items -->
      <v-list two-line avatar flat>
        <v-list-item-group
          color="primary"
          v-for="(item, index) in carrito"
          :key="index"
        >
          <v-list-item>
            <!-- Imagen -->
            <v-list-item-avatar>
              <v-img :src="item.imagen"></v-img>
            </v-list-item-avatar>

            <!-- contenido -->
            <v-list-item-content>
              <v-list-item-title>{{ item.titulo }}</v-list-item-title>
              <v-list-item-subtitle
                >precio: ${{ item.precio }} - Unidades:
                {{ item.cantidad }}</v-list-item-subtitle
              >
              <v-divider color="white"></v-divider>
            </v-list-item-content>
          </v-list-item>
        </v-list-item-group>
      </v-list>

      <v-card class="my-auto py-4 text-center">
        <v-chip class="ma-2" color="blue" text-color="white">
          <v-chip left class="blue darken-1 mt-2 mb-2" text-color="white">
            Libros: {{ cantidadTotal }}
          </v-chip>
        </v-chip>
        <v-chip class="ma-2" color="green" text-color="white">
          <v-chip left class="green darken-1 mt-2 mb-2" text-color="white">
            Total: ${{ sumaTotal }}
          </v-chip>
        </v-chip>
      </v-card>
    </v-card>
  </div>
</template>

<script>
export default {
  name: "Cart",
  props: {
    carrito: Array,
  },
  computed: {
    sumaTotal() {
      return this.carrito.reduce(
        (total, item) => total + Number(item.cantidad * item.precio),
        0
      );
    },
    cantidadTotal() {
      return this.carrito.reduce(
        (contador, item) => contador + Number(item.cantidad),
        0
      );
    },
  },
};
</script>

<style lang="scss" scoped></style>
